cancel
Showing results for 
Search instead for 
Did you mean: 

Sql error after upgrade 1.9.2.1 to 1.9.2.2

Sql error after upgrade 1.9.2.1 to 1.9.2.2

After upgrade on the admin i have this error 

Error in file: "/home/WwwBSD/****.com/www/app/code/core/Mage/Admin/sql/admin_setup/upgrade-1.6.1.1-1.6.1.2.php" - SQLSTATE[42S01]: Base table or view already exists: 1050 Table 'permission_variable' already exists, query was: CREATE TABLE `permission_variable` (
  `variable_id` int UNSIGNED NOT NULL auto_increment COMMENT 'Variable ID' ,
  `variable_name` varchar(255) NOT NULL default '' COMMENT 'Config Path' ,
  `is_allowed` bool NOT NULL default '0' COMMENT 'Mark that config can be processed by filters' ,
  PRIMARY KEY (`variable_id`, `variable_name`),
  UNIQUE `UNQ_PERMISSION_VARIABLE_VARIABLE_NAME` (`variable_name`)
) COMMENT='System variables that can be processed via content filter' ENGINE=INNODB charset=utf8 COLLATE=utf8_general_ci

And I can't acces to my admin 

2 REPLIES

Re: Sql error after upgrade 1.9.2.1 to 1.9.2.2

Have you re-indexed and cleared cache, then tried again?

Magento Moderator since 2009
Keep Calm and Clear Cache!

Re: Sql error after upgrade 1.9.2.1 to 1.9.2.2

Yes I did,   but it was not running..

I had to change the entry in the MYSQL from 1.6.1 to 1.6.2 and now it's working but some link in the menu Admin don't work even if I set the Admin routing compatibility mode for extensions to enable..

I don't know what to do